AntiFeatures:
  - NonFreeNet
Categories:
  - Connectivity
  - Internet
License: GPL-3.0-only
AuthorEmail: support@protonvpn.com
WebSite: https://protonvpn.com/
SourceCode: https://github.com/ProtonVPN/android-app
IssueTracker: https://github.com/ProtonVPN/android-app/issues

RepoType: git
Repo: https://github.com/ProtonVPN/android-app.git

Builds:
  - versionName: 2.1.7
    versionCode: 20107
    commit: 2.1.7
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    scanignore:
      - app/src/main/jniLibs/
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.2.3
    versionCode: 20203
    commit: 2.2.3
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    scanignore:
      - app/src/main/jniLibs/
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.3.54.0
    versionCode: 102035400
    commit: 2.3.54.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' -e 's/20.0.5594570/20.1.5948944/'
        build.gradle
      - sed -i -e 's/20.0.5594570/20.1.5948944/' ../openvpn/build.gradle.kts
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.4.1.0
    versionCode: 102040100
    commit: 2.4.1.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' -e 's/20.0.5594570/20.1.5948944/'
        build.gradle
      - sed -i -e 's/20.0.5594570/20.1.5948944/' ../openvpn/build.gradle.kts
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.4.31.0
    versionCode: 102043100
    commit: 2.4.31.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' -e 's/20.0.5594570/20.1.5948944/'
        build.gradle
      - sed -i -e 's/20.0.5594570/20.1.5948944/' ../openvpn/build.gradle.kts
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.0.0
    versionCode: 102060000
    commit: 2.6.0.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21d
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.4.2
    versionCode: 102060402
    commit: 2.6.4.2
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21d
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.44.5
    versionCode: 102064405
    commit: 2.6.44.5
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21d
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.91.0
    versionCode: 102069100
    commit: 2.6.91.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.7.56.1
    versionCode: 102075601
    commit: 2.7.56.1
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.7.56.2
    versionCode: 102075602
    commit: 264a7486c99675d1bb03b4ceca471ffcfe893436
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.7.70.0
    versionCode: 102077000
    commit: 2db1689732f40792d4e83b605bf9164612785e2c
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.9.0.28
    versionCode: 102090028
    commit: b0a51e6e39699e274f8707c8d97f5a028730876f
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.9.0.77
    versionCode: 102090077
    commit: 7ac2b990f8b4e5cbfb5efd54dbe64c9f5e4b43c9
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.9.0.82
    versionCode: 102090082
    commit: 242f10c91ed0fdefe285c0472fe094dc437368fa
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.11.90.9
    versionCode: 102119009
    commit: a166ace3212f4b8fcf4447cedbf5bbefe0c139f0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 2.11.90.17
    versionCode: 102119017
    commit: 624de2ac857138b83622aa600cecb88aa863c450
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - sed -i -e 's/21.3.6528147/21.4.7075529/' ../openvpn/build.gradle.kts
      - sed -i -e 's/21.3.6528147/21.4.7075529/' build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21e
    gradleprops:
      - buildUniversalApk

  - versionName: 3.3.58.0
    versionCode: 103035800
    commit: 3.3.58.0
    timeout: 7200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - git submodule update --init --recursive ../strongswan
      - cd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - cd ..
      - echo ndk.dir="$(pwd)"/ndk/android-ndk-r21e > strongswan/src/frontends/android/local.properties
    scandelete:
      - strongswan/testing
      - openvpn/src/main/cpp/lz4/tmp
    build:
      - pushd ..
      - mkdir -p ndk
      - pushd ndk
      - curl -Lo ndk.zip https://dl.google.com/android/repository/android-ndk-r21e-linux-x86_64.zip
      - echo "ad7ce5467e18d40050dc51b8e7affc3e635c85bd8c59be62de32352328ed467e ndk.zip"
        | sha256sum -c -
      - unzip -q ndk.zip
      - popd
      - popd
      - pushd ../strongswan
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assembleRelease
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r23b
    gradleprops:
      - buildUniversalApk

  - versionName: 4.1.83.1
    versionCode: 104018301
    commit: 544b343487dcc6a7b2626f885bfce3865eb421a6
    timeout: 7200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - git submodule update --init --recursive ../strongswan
      - cd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - cd ..
      - echo ndk.dir="$(pwd)"/ndk/android-ndk-r21e > strongswan/src/frontends/android/local.properties
    scandelete:
      - strongswan/testing
      - openvpn/src/main/cpp/lz4/tmp
    build:
      - pushd ..
      - mkdir -p ndk
      - pushd ndk
      - curl -Lo ndk.zip https://dl.google.com/android/repository/android-ndk-r21e-linux-x86_64.zip
      - echo "ad7ce5467e18d40050dc51b8e7affc3e635c85bd8c59be62de32352328ed467e ndk.zip"
        | sha256sum -c -
      - unzip -q ndk.zip
      - popd
      - popd
      - pushd ../strongswan
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assembleRelease
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r23b
    gradleprops:
      - buildUniversalApk

  - versionName: 4.2.63.0
    versionCode: 104026300
    commit: beece5749af6c951aa9cda76b38372c0fa478671
    timeout: 7200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - git submodule update --init --recursive ../strongswan
      - cd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - cd ..
      - echo ndk.dir="$(pwd)"/ndk/android-ndk-r21e > strongswan/src/frontends/android/local.properties
    scandelete:
      - strongswan/testing
      - openvpn/src/main/cpp/lz4/tmp
    build:
      - pushd ..
      - mkdir -p ndk
      - pushd ndk
      - curl -Lo ndk.zip https://dl.google.com/android/repository/android-ndk-r21e-linux-x86_64.zip
      - echo "ad7ce5467e18d40050dc51b8e7affc3e635c85bd8c59be62de32352328ed467e ndk.zip"
        | sha256sum -c -
      - unzip -q ndk.zip
      - popd
      - popd
      - pushd ../strongswan
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assembleRelease
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r23b
    gradleprops:
      - buildUniversalApk

  - versionName: 4.2.93.0
    versionCode: 104029300
    commit: bab29749b168af753a8d2a7a0f4db966e43ee90e
    timeout: 7200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - git submodule update --init --recursive ../strongswan
      - cd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - cd ..
      - echo ndk.dir="$(pwd)"/ndk/android-ndk-r21e > strongswan/src/frontends/android/local.properties
    scandelete:
      - strongswan/testing
      - openvpn/src/main/cpp/lz4/tmp
    build:
      - pushd ..
      - mkdir -p ndk
      - pushd ndk
      - curl -Lo ndk.zip https://dl.google.com/android/repository/android-ndk-r21e-linux-x86_64.zip
      - echo "ad7ce5467e18d40050dc51b8e7affc3e635c85bd8c59be62de32352328ed467e ndk.zip"
        | sha256sum -c -
      - unzip -q ndk.zip
      - popd
      - popd
      - pushd ../strongswan
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assembleRelease
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r23b
    gradleprops:
      - buildUniversalApk

  - versionName: 4.3.49.0
    versionCode: 104034900
    commit: 2795be6a529ba57ed7ea5bb7e13486afaab01d5f
    timeout: 7200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends make libgmp-dev autoconf automake
        libtool pkg-config autogen gettext libssl-dev libsqlite3-dev libpam0g-dev
        libldap2-dev gperf bison bzip2 flex swig
    gradle:
      - prod
    srclibs:
      - android-ndk-boringssl@ndk-static
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sdkmanager 'cmake;3.18.1' 'ndk;21.4.7075529'
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - git submodule update --init --recursive ../strongswan
      - cd ../strongswan
      - ln -s -T $$android-ndk-boringssl$$ src/frontends/android/app/src/main/jni/openssl
      - cd ..
      - echo ndk.dir="$ANDROID_SDK/ndk/21.4.7075529" > strongswan/src/frontends/android/local.properties
      - sed -i -e '/gradle-build-cache/d' settings.gradle
    scandelete:
      - strongswan/testing
      - openvpn/src/main/cpp/lz4/tmp
    build:
      - pushd ../strongswan
      - ./autogen.sh
      - ./configure || cat config.log
      - make dist
      - cd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - mv ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/build
      - cd ../openvpn
      - gradle assembleRelease
      - rm -fr build/intermediates build/kotlin build/tmp .cxx
    ndk: r23b
    gradleprops:
      - buildUniversalApk

  - versionName: 4.3.80.2
    versionCode: 104038002
    commit: dc1ae07fd62535439328f5ee0afb65dd76589fd8
    timeout: 7200
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y --no-install-recommends make libgmp-dev autoconf automake
        libtool pkg-config autogen gettext libssl-dev libsqlite3-dev libpam0g-dev
        libldap2-dev gperf bison bzip2 flex swig
    gradle:
      - prod
    srclibs:
      - android-ndk-boringssl@ndk-static
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - openvpn/src/main/cpp/mbedtls/programs/fuzz/corpuses/*
    prebuild:
      - sdkmanager 'cmake;3.18.1' 'ndk;21.4.7075529'
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - git submodule update --init --recursive ../strongswan
      - cd ../strongswan
      - ln -s -T $$android-ndk-boringssl$$ src/frontends/android/app/src/main/jni/openssl
      - cd ..
      - echo ndk.dir="$ANDROID_SDK/ndk/21.4.7075529" > strongswan/src/frontends/android/local.properties
      - sed -i -e '/gradle-build-cache/d' settings.gradle
    scandelete:
      - strongswan/testing
      - openvpn/src/main/cpp/lz4/tmp
    build:
      - pushd ../strongswan
      - ./autogen.sh
      - ./configure || cat config.log
      - make dist
      - cd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - mv ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/build
      - cd ../openvpn
      - gradle assembleRelease
      - rm -fr build/intermediates build/kotlin build/tmp .cxx
    ndk: r23b
    gradleprops:
      - buildUniversalApk

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: metadata/version_fdroid.txt|versionCode=(\d+)|.|versionName=(.*)
CurrentVersion: 4.3.80.2
CurrentVersionCode: 104038002
